Bug 168859 - tetex-3.0-6.FC4 - remove latex-preview files
tetex-3.0-6.FC4 - remove latex-preview files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 14:21 EDT by Michal Jaegermann
Modified: 2013-07-02 19:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-31 09:44:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-09-20 14:21:04 EDT
Description of problem:

tetex-latex-3.0-6.FC4 includes _some_ packages from preview-latex-common
files.  Namely:

/usr/share/texmf/tex/latex/preview/prauctex.cfg
/usr/share/texmf/tex/latex/preview/prauctex.def
/usr/share/texmf/tex/latex/preview/prcounters.def
/usr/share/texmf/tex/latex/preview/preview.sty
/usr/share/texmf/tex/latex/preview/prfootnotes.def
/usr/share/texmf/tex/latex/preview/prlyx.def
/usr/share/texmf/tex/latex/preview/prshowbox.def
/usr/share/texmf/tex/latex/preview/prshowlabels.def
/usr/share/texmf/tex/latex/preview/prtightpage.def
/usr/share/texmf/tex/latex/preview/prtracingall.def

All of this is fine and dandy but the whole documentation is missing, including
such crucial pieces like:

/usr/share/info/preview-latex.info.gz
/usr/share/texmf/doc/latex/styles/preview.dvi

and 'preview-latex.pdf' and other less critical (although COPYING indentifies
that as a GPL software).  Moreover the whole emacs support side is nowhere
in sight making this a rather pointless exercise as "the real meat" here is
on an emacs side.

To make things even worse available somewhere else 'preview-latex-emacs'
package requires, not very surprisingly, 'preview-latex-common'.  So if you
will try to install, or update, that you have a pretty good chance that
you will see missing dependencies and/or conflicts.  Either the whole thing
should be provided or none of that stuff.

Version-Release number of selected component (if applicable):
tetex-3.0-6.FC4
Comment 1 Michal Jaegermann 2005-09-27 19:25:45 EDT
To make things even more "interesting" on 2005-09-25 a new version 11.81
of auctex showed up.  This one includes a formerly separate 'preview' as an
integral part.  What is more CHANGES file now says:

News in 11.81
....
   * preview-latex which was previously available separately became a
     subsystem of AUCTeX.  There is no documented provision for building
     or installing preview-latex separately.  It is still possible to
     use and install AUCTeX without preview-latex, however.
....

So now including into a distribution a small random subset of auctex related
files makes even less sense.
Comment 2 Jindrich Novy 2005-09-28 02:23:18 EDT
Right, it seems so. preview-latex files will be removed soon.
Comment 3 Jindrich Novy 2005-10-31 09:44:55 EST
Fixed by tetex-3.0-7.

Note You need to log in before you can comment on or make changes to this bug.